## osssrc

osssrc

## Properties

gchar * | device | Read / Write
gchar * | device-name | Read

## Types and Values

struct | GstOssSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstAudioBaseSrc
                                ╰── GstAudioSrc
                                    ╰── GstOssSrc

## Implemented Interfaces

GstOssSrc implements GstImplementsInterface and GstMixer.

## Description

## Synopsis

### Element Information

plugin | ossaudio
author | Erik Walthinsen <omega@cse.ogi.edu>, Wim Taymans <wim@fluendo.com>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S16LE, U16LE, S8, U8 }, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)1
| audio/x-raw, format=(string){ S16LE, U16LE, S8, U8 }, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003

## Functions

## Types and Values

### struct GstOssSrc

    struct GstOssSrc;

## Property Details

### The `“device”` property

      “device”                   gchar *

OSS device (usually /dev/audioN).

Flags: Read / Write

Default value: "/dev/audio"

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the sound device.

Flags: Read

Default value: ""